OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
Transfer

# Transfer_FindHasher Class Reference

FindHasher defines HashCode for Finder, which is : ask a
Finder its HashCode ! Because this is the Finder itself which
brings the HashCode for its Key
This class complies to the template given in TCollection by
MapHasher itself
.

`#include <Transfer_FindHasher.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
## Static Public Member Functions
static Standard_EXPORT Standard_Integer | HashCode (const Handle(Transfer_Finder)&K, const Standard_Integer Upper)
| Returns a HashCode in the range <0,Upper> for a Finder : asks the Finder its HashCode then transforms it to be in the required range .
static Standard_EXPORT Standard_Boolean | IsEqual (const Handle(Transfer_Finder)&K1, const Handle(Transfer_Finder)&K2)
| Returns True if two keys are the same. The test does not work on the Finders themselves but by calling their methods Equates .

## Member Function Documentation

static Standard_EXPORT Standard_Integer Transfer_FindHasher::HashCode | ( | const Handle(Transfer_Finder)& | K,
|  | const Standard_Integer | Upper
| ) | `[static]`

static Standard_EXPORT Standard_Boolean Transfer_FindHasher::IsEqual | ( | const Handle(Transfer_Finder)& | K1,
|  | const Handle(Transfer_Finder)& | K2
| ) | `[static]`

void Transfer_FindHasher::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Transfer_FindHasher::operator new | ( | size_t | size | ) | `[inline]`

void* Transfer_FindHasher::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- Transfer_FindHasher.hxx